Skip to main content
POST
/
api
/
v2.1
/
verifications
/
{verificationId}
/
approve
cURL
curl --request POST \
  --url https://sandbox.finhub.cloud/api/v2.1/verifications/{verificationId}/approve \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --header 'X-Forwarded-For: <x-forwarded-for>' \
  --header 'X-Forwarded-From: <x-forwarded-from>' \
  --header 'X-Tenant-ID: <x-tenant-id>' \
  --header 'deviceId: <deviceid>' \
  --header 'platform: <platform>' \
  --data '
{
  "comment": "Approved",
  "customerId": "2dac1793-ab48-420c-b0b5-01292302e188",
  "verificationId": "825f84a5-a709-4e58-a80f-b51871d94cfb",
  "status": "APPROVED",
  "verificationType": "IDENTITY_VERIFICATION",
  "userId": "E2E_ADMIN"
}
'
import requests

url = "https://sandbox.finhub.cloud/api/v2.1/verifications/{verificationId}/approve"

payload = {
"comment": "Approved",
"customerId": "2dac1793-ab48-420c-b0b5-01292302e188",
"verificationId": "825f84a5-a709-4e58-a80f-b51871d94cfb",
"status": "APPROVED",
"verificationType": "IDENTITY_VERIFICATION",
"userId": "E2E_ADMIN"
}
headers = {
"X-Forwarded-For": "<x-forwarded-for>",
"X-Tenant-ID": "<x-tenant-id>",
"X-Forwarded-From": "<x-forwarded-from>",
"platform": "<platform>",
"deviceId": "<deviceid>",
"Authorization": "<authorization>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'X-Forwarded-For': '<x-forwarded-for>',
'X-Tenant-ID': '<x-tenant-id>',
'X-Forwarded-From': '<x-forwarded-from>',
platform: '<platform>',
deviceId: '<deviceid>',
Authorization: '<authorization>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
comment: 'Approved',
customerId: '2dac1793-ab48-420c-b0b5-01292302e188',
verificationId: '825f84a5-a709-4e58-a80f-b51871d94cfb',
status: 'APPROVED',
verificationType: 'IDENTITY_VERIFICATION',
userId: 'E2E_ADMIN'
})
};

fetch('https://sandbox.finhub.cloud/api/v2.1/verifications/{verificationId}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Approve Verification

Marks a verification as approved once checks are complete.

Endpoint

POST /api/v2.1/verifications/{verificationId}/approve

Required Headers

B2C Example

{
  "comment": "Approved",
  "customerId": "2dac1793-ab48-420c-b0b5-01292302e188",
  "verificationId": "825f84a5-a709-4e58-a80f-b51871d94cfb",
  "status": "APPROVED",
  "verificationType": "IDENTITY_VERIFICATION",
  "userId": "E2E_ADMIN"
}

B2B Example

{
  "comment": "Approved",
  "customerId": "f458d016-56bb-43a6-856c-4d0456b2c38c",
  "organizationId": "f458d016-56bb-43a6-856c-4d0456b2c38c",
  "verificationId": "ac0d408e-06b8-420c-9876-745db4ea4c98",
  "status": "APPROVED",
  "verificationType": "BUSINESS_VERIFICATION",
  "userId": "E2E_ADMIN"
}

Success Response

200
{
  "code": 200,
  "data": {
    "verificationId": "825f84a5-a709-4e58-a80f-b51871d94cfb",
    "status": "APPROVED"
  },
  "message": "Success"
}

Headers

X-Forwarded-For
string
required
X-Tenant-ID
string
required
X-Forwarded-From
string
required
platform
string
required
deviceId
string
required
Authorization
string
required

Path Parameters

verificationId
string
required

Body

application/json
verificationId
string
required
Example:

"825f84a5-a709-4e58-a80f-b51871d94cfb"

status
string
required
Example:

"APPROVED"

comment
string
Example:

"Approved"

customerId
string
Example:

"2dac1793-ab48-420c-b0b5-01292302e188"

organizationId
string
Example:

"f458d016-56bb-43a6-856c-4d0456b2c38c"

verificationType
string
Example:

"IDENTITY_VERIFICATION"

userId
string
Example:

"E2E_ADMIN"

Response

200

Verification approved